<?php
    require_once ('../../config.php');
    
    class Connect {
        
        private $username;
        private $database; 
        private $host;
        private $password;
        private $charset;
        public $conn;
        
        public function __construct() {
            $this->host = constant('HOST');
            $this->username = constant('USER');
            $this->password = constant('PASSWORD');
            $this->database = constant('DATABASE');
            $this->charset = constant('CHARSET');
            $this->connect();  // Llamar al método para establecer la conexión
        }
        public function connect(){
            $this->conn = new mysqli($this->host, $this->username, $this->password, $this->database);
            $this->conn->set_charset($this->charset);
        }
        public function query($sql){
            return $this->conn->query($sql);
        }
        public function close(){
            $this->conn->close();
        }
        public function insert_id() {
            return $this->conn->insert_id;
        }
    }
