<?php

    class CURL{
        
        public function getDataAPI($url,$token){
//            $headers[] = "x-auth-token: ".$token;
            $headers[] = "access_token: ".$token;
            $headers[] = "Accept: application/json";
            $headers[] = "Content-Type: application/x-www-form-urlencoded; charset=utf-8";
            $sessionCurl = curl_init();
            curl_setopt($sessionCurl, CURLOPT_URL, $url);
            curl_setopt($sessionCurl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($sessionCurl, CURLOPT_HTTPHEADER, $headers);
            $result = json_decode(curl_exec($sessionCurl), true);
            curl_close($sessionCurl); return $result;
        }
        public function postDataAPI($url,$token, $data){
            $headers[] = "access_token: ".$token;
            $headers[] = "Accept: application/json";
            $headers[] = "Content-Type: application/json";
            $sessionCurl = curl_init($url);
            curl_setopt($sessionCurl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($sessionCurl, CURLOPT_SSL_VERIFYHOST, 2);
            curl_setopt($sessionCurl, CURLOPT_CAINFO, PATHSERVER.'/.well-known/cert/ca-bundle.crt');     
            curl_setopt($sessionCurl, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($sessionCurl, CURLOPT_POST, true);
            curl_setopt($sessionCurl, CURLOPT_POSTFIELDS, json_encode($data));
            $result = json_decode(curl_exec($sessionCurl), true);
//            $code = curl_getinfo($sessionCurl, CURLINFO_HTTP_CODE);
            curl_close($sessionCurl); return $result;
        }
        public function putDataAPI($url,$token, $data){
            $headers[] = "access_token: ".$token;
            $headers[] = "Accept: application/json";
            $headers[] = "Content-Type: application/json";
            $sessionCurl = curl_init($url);
            curl_setopt($sessionCurl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($sessionCurl, CURLOPT_SSL_VERIFYHOST, 2);
//            curl_setopt($sessionCurl, CURLOPT_CAINFO, PATHSERVER.'/.well-known/cert/ca-bundle.crt');     
            curl_setopt($sessionCurl, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($sessionCurl,CURLOPT_CUSTOMREQUEST, "PUT");
            curl_setopt($sessionCurl, CURLOPT_POSTFIELDS, json_encode($data));
            $result = json_decode(curl_exec($sessionCurl), true);
//            $code = curl_getinfo($sessionCurl, CURLINFO_HTTP_CODE);
            curl_close($sessionCurl); return $result;
        }
        public function putInfo($url, $access_token, $info)
	{
		// Parsea a JSON
		$data =  json_encode($info);

		// Inicia cURL
		$session = curl_init($url);

		// Indica a cURL que retorne data
		curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
		
		// Activa SSL
		curl_setopt($session, CURLOPT_SSL_VERIFYHOST, 2);
		//curl_setopt ($session, CURLOPT_CAINFO, 'c:\ca-bundle-master\ca-bundle.crt');
		//curl_setopt ($session, CURLOPT_CAINFO, '../../ca-bundle-master/ca-bundle.crt');
                //curl_setopt ($session, CURLOPT_CAINFO, '../../ca-bundle-master/ca-bundle.crt');	
                //curl_setopt ($session, CURLOPT_CAINFO, 'ca-bundle.crt');	

		// Configura cabeceras
		$headers = array(
			'access_token: ' . $access_token,
			'Accept: application/json',
			'Content-Type: application/json'
		);
		curl_setopt($session, CURLOPT_HTTPHEADER, $headers);

		// Indica que se va ser una petición PUT
		curl_setopt($session,CURLOPT_CUSTOMREQUEST, "PUT");


		// Agrega parámetros
		curl_setopt($session, CURLOPT_POSTFIELDS, $data);

		// Ejecuta cURL
		$response = curl_exec($session);
		$code = curl_getinfo($session, CURLINFO_HTTP_CODE);

		// Cierra la sesión cURL
		curl_close($session);

		//Esto es sólo para poder visualizar lo que se está retornando
		
		 return($response);
	}
    }
