$(document).ready(function() {
   $('#tbListReceptionPrint').DataTable({
       ajax: '../controllers/invoices/print-invoice.php',
       columns :[
           { data: 'item'},
           { data: 'typeDocument'},
           { data: 'folio'},
           { data: 'supplier'},
           { data: 'supplierName'}, 
           { data: 'subtotal'},
           { data: 'status'},
           { data: 'dateAdd'}, 
           { data: 'btnAction'}
       ],
       pageLength: 25,
       responsive: true,
       paging: false,
       searching: true,
       ordering: true,
       info: false,
       lengthChange: false,
       autoWidth: false
   });
   $('#resumeInvoice').DataTable({
       ajax:'../controllers/invoices/print-resumen.php',
       columns :[
           { data: 'item'},
           { data: 'sku'},
           { data: 'model'},
           { data: 'qty'},
           { data: 'btnPrint'}
       ],
       pageLength: 25,
       responsive: false,
       paging: false,
       searching: true,
       ordering: true,
       info: false,
       lengthChange: false,
       autoWidth: false
   }); 
}); 

function dismissInvoice(id){
    $.ajax({
        url: '../controllers/invoices/dismiss-invoice.php',
        type: 'POST',
        data: {id:id},
        success:function(data,textStatus,jqXHR){
            let d = $('#tbListReception').DataTable();
            d.ajax.reload();
        }
    })
}

function goToInvoice(id){
    let url = 'procesar-recepcion.phtml?id='+id;
    window.open(url, '_blank');
}
function printLabelUnique(id,sku, model,qty,idERP,idProduct,cost,date,supplier,nDocument,codeBar){
    $.ajax({
        url:'../controllers/invoices/print-sku.php',
        type:'POST',
        data: { id:id, sku:sku, model:model, qty:qty,idERP:idERP,idProduct:idProduct, cost:cost,date:date,supplier:supplier,nDocument:nDocument,codeBar:codeBar },
        success:function(data,textStatus,jqXHR){
            var data = jQuery.parseJSON(data);
            popUp(data.urlPdf);
        },
        error:function(jqXHR,textStatus,errorThrown){
            
        }
    });
}
function printLabel(id){
    $.ajax({
        url:'../controllers/invoices/print-resumen.php',
        type:'POST',
        data: { id:id },
        success:function(data){
            let d = $('#resumeInvoice').DataTable();
            d.ajax.reload();
        }
    });
}

function popUp(url){
    var popupWidth = 800;
    var popupHeight = 600;
    var left = (screen.width / 2) - (popupWidth / 2);
    var top = (screen.height / 2) - (popupHeight / 2);

    window.open(
        url,
        'PopupWindow',
        'width=' + popupWidth + ',height=' + popupHeight + ',top=' + top + ',left=' + left
    );
}