<?php
require_once('../../config.php');
$csvFile = PATHSERVER.'/views/ERP/factura-23.csv';
if (($handle = fopen($csvFile, "r")) !== FALSE) {
    $headers = fgetcsv($handle, 1000, ";");
    $requiredColumns = ['comment', 'netUnitValue', 'quantity', 'taxId'];
    foreach ($requiredColumns as $column) {
        if (!in_array($column, $headers)) {
            die("El archivo CSV no contiene la columna necesaria: $column");
        }
    }
    $data = [];
    while (($row = fgetcsv($handle, 1000, ";")) !== FALSE) {
        $rowData = array_combine($headers, $row);
        $data[] = [
            'comment' => $rowData['comment'],
            'netUnitValue' => $rowData['netUnitValue'],
            'quantity' => $rowData['quantity'],
            'taxId' => $rowData['taxId'],
        ];
    }
    fclose($handle);
    makeJSON($data);
    foreach ($data as $item) {
        // Aquí puedes hacer algo con los datos, como insertarlos en una base de datos
        // Por ejemplo:
        // insertDataIntoDatabase($item['comment'], $item['netUnitValue'], $item['quantity'], $item['taxId']);
        echo "Comentario: {$item['comment']}, Valor Unitario Neto: {$item['netUnitValue']}, Cantidad: {$item['quantity']}, ID de Impuesto: {$item['taxId']}<br>";
    }
} else {
    die("No se pudo abrir el archivo CSV.");
}

function makeJSON($info){
    $path = PATHSERVER.'/public/views/ERP/invoice.json';
    file_put_contents($filename, $info);
}
// Función ficticia para insertar datos en la base de datos
function insertDataIntoDatabase($comment, $netUnitValue, $quantity, $taxId) {
    // Aquí deberías agregar tu lógica para insertar los datos en la base de datos
    // Ejemplo:
    // $db = new PDO('mysql:host=localhost;dbname=your_database', 'username', 'password');
    // $stmt = $db->prepare("INSERT INTO your_table (comment, net_unit_value, quantity, tax_id) VALUES (:comment, :netUnitValue, :quantity, :taxId)");
    // $stmt->bindParam(':comment', $comment);
    // $stmt->bindParam(':netUnitValue', $netUnitValue);
    // $stmt->bindParam(':quantity', $quantity);
    // $stmt->bindParam(':taxId', $taxId);
    // $stmt->execute();
}
function setHeader(){
    $client = array('code'=>'77289431-7','city'=>'Las Condes','company'=>'Inversiones Linknew SPA','municipality'=>'Las Condes','activity'=>'Compra Venta de articulos para el hogar, cotillon y menaje','address'=>'Av Padre Hurtado SUR 875, Local 1004','email'=>'yeniffer.nunez@newtree.cl','companyOrPerson'=>1);
    $header = array('documentTypeId'=>5,'officeId'=>1,'emissionDate'=>strtotime(date('Y-m-d')),'expirationDate'=>strtotime(((New DateTime())->modify('+1 month'))->format('Y-m-d')),'declareSii'=>1, 'client'=>$client);
    $payments = array(array('paymentTypeId'=>8,'recordDate'=>strtotime(date('Y-m-d'))));
}
?>
